Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000728 [Ecere SDK] installer minor always 2012-03-28 18:29 2013-08-06 22:33
Reporter redj View Status public  
Assigned To jerome
Priority immediate Resolution fixed  
Status closed   Product Version 0.44 Ryoan-ji
Summary 0000728: setting the path variable is messed up with mingw/bin twice and mingw/bin/bin
Description C:\Program Files\ECERE SDK\bin;
C:\Program Files\ECERE SDK\mingw\bin;
C:\Program Files\ECERE SDK\mingw\bin\bin;
C:\Program Files\ECERE SDK\mingw\bin

that ^ is what I get after a clean install (no previous ecere sdk installed)
I was careful to re-download the installer even using a different browser to try to get around any kind of a cached download.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000554)
redj (administrator)
2012-03-28 18:59

C:\Program Files (x86)\ECERE SDK\mingw\bin;
C:\Program Files (x86)\ECERE SDK\bin;
C:\Program Files (x86)\ECERE SDK\mingw\bin;
C:\Program Files (x86)\ECERE SDK\mingw\bin\bin;
C:\Program Files (x86)\ECERE SDK\mingw\bin

that ^ is what BronzeEagle on #ecere got after a clean install
(0000566)
jerome (administrator)
2012-03-29 01:40

Sorry, thought I had fixed this!!!

https://github.com/ecere/sdk/commit/ac1fe14ed94ad9f3d4bd655ef8df225ee277652d [^]

Should be fixed for good!

There was 2 problems:
- UPX was adding an extra bin when it shouldn't
- The list of existing paths to avoid duplicates was not properly updated

- Issue History
Date Modified Username Field Change
2012-03-28 18:29 redj New Issue
2012-03-28 18:59 redj Note Added: 0000554
2012-03-29 01:40 jerome Note Added: 0000566
2012-03-29 01:40 jerome Status new => resolved
2012-03-29 01:40 jerome Fixed in Version => 0.44.1 Android
2012-03-29 01:40 jerome Resolution open => fixed
2012-03-29 01:40 jerome Assigned To => jerome
2012-03-29 02:55 redj Category => Installation System
2012-03-29 02:55 redj Project @8@ => Ecere SDK
2012-03-29 03:21 redj Summary installer: setting the path variable is messed up with mingw/bin twice and mingw/bin/bin => setting the path variable is messed up with mingw/bin twice and mingw/bin/bin
2013-05-22 15:29 jerome Status resolved => closed
2013-08-06 22:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-06 22:33 jerome Target Version 0.44.10 64 => 0.44.08


Mantis 1.1.1[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker